%if 0%{?fedora}
%bcond_without python3
%else
%bcond_with python3
%endif

Name:           python-afl
Version:        0.2
Release:        1%{?dist}
Summary:        Module that enables Afl fork server for Python code

License:        MIT
URL:            https://pypi.python.org/pypi/python-afl/0.2
Source0:        https://pypi.python.org/packages/source/p/python-afl/python-afl-0.2.tar.gz
Source1:        LICENSE


BuildRequires:  python2-devel
BuildRequires:  Cython

%if %{with python3}
BuildRequires:  python3-devel
BuildRequires:  python3-Cython
%endif # with python3

Requires:  american-fuzzy-lop
Requires:  python-afl-bin

%description
Afl is an experimental module that enables American fuzzy lop fork server
and instrumentation for pure-Python code.


%if %{with python3}
%package     -n python3-afl
Summary:      The python3  module that enables Afl fork server for Python code

Requires:  american-fuzzy-lop
Requires:  python-afl-bin

%description -n python3-afl
Afl is an experimental module that enables American fuzzy lop fork server 
and instrumentation for pure-Python code


%endif # with python3

%package     -n python-afl-bin
Summary:     Contains bash scripts for packages python-afl and python3-afl

%description -n python-afl-bin
The python-afl-bin is a package that contains py-afl-fuzz and py-afl-showmap scripts for both packages python-afl and python3-afl

%prep
%setup -qc
mv %{name}-%{version} python2
cp -p %{SOURCE1} .

%if %{with python3}
cp -a python2 python3
%endif # with python3


%build
pushd python2
%{__python2} setup.py build
popd

%if %{with python3}
pushd python3
%{__python3} setup.py build
popd
%endif # with python3

%install

rm -rf $RPM_BUILD_ROOT
%if %{with python3}
pushd python3
%{__python3} setup.py install -O1 --skip-build --root $RPM_BUILD_ROOT
popd
%endif # with python3

pushd python2
%{__python2} setup.py install -O1 --skip-build --root $RPM_BUILD_ROOT
mkdir %{buildroot}%{_bindir}/
mv py-afl-fuzz %{buildroot}%{_bindir}/py-afl-fuzz
mv py-afl-showmap %{buildroot}%{_bindir}/py-afl-showmap
popd

# %%check section was not included, because properly working test
# is missing in source files

%files
%defattr(755, root, root, -)
%doc python2/README.rst python2/doc/
%license LICENSE
%{python2_sitearch}/afl.so
%{python2_sitearch}/python_afl-0.2-py2.7.egg-info

%if %{with python3}
%files -n python3-afl
%defattr(755, root, root, -)
%doc python3/README.rst python3/doc
%license LICENSE 
%{python3_sitearch}/afl.cpython-34m.so
%{python3_sitearch}/python_afl-0.2-py3.4.egg-info
%endif # with python3

%files -n python-afl-bin
%{_bindir}/py-afl-fuzz
%{_bindir}/py-afl-showmap

%changelog
* Tue Jul 07 2015 Michal Cyprian <mcyprian@redhat.com> - 0.2-1
- Initial release of RPM package
